Bug 97939 - kernel panic in access_process_vm
kernel panic in access_process_vm
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 08:01 EDT by Red Hat Production Operations
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-24 08:01:22 EDT
Unable to handle kernel NULL pointer dereference at virtual address 0000007c
printing eip: c01255fd
*pde = 00000000
Oops: 0000
ide-cd cdrom loop nfs lockd sunrpc tulip e100 cls_u32 sch_tbf sch_cbq ipt_LOG
ipt_limit ipt_REJECT ipt_state iptable_mangle iptable_nat ip_conntrack_ftp ip_co
CPU:    1
EIP:    0010:[<c01255fd>]    Not tainted
EFLAGS: 00010202
EIP is at access_process_vm [kernel] 0x2d (2.4.18-27.7.xsmp)
eax: 00000000   ebx: 00000000   ecx: bffffc74   edx: d6a92000
esi: ee5d5480   edi: dd872000   ebp: dd872000   esp: c4ad5ef8
ds: 0018   es: 0018   ss: 0018
Process ps (pid: 18358, stackpage=c4ad5000)
Stack: e4896176 dd872000 00000000 f7200880 00000001 f4918b00 00000212 f4918b00 
       c46c5870 00000000 ee5d5480 dd872000 dd872000 c01641e7 d6a92000 bffffc74 
       dd872000 00000031 00000000 00000031 d12c6d80 000007ff d6a92000 dd872000 
Call Trace: [<c01641e7>] proc_pid_cmdline [kernel] 0x67 (0xc4ad5f2c))
[<c016454c>] proc_info_read [kernel] 0x4c (0xc4ad5f58))
[<c0144567>] fput [kernel] 0xc7 (0xc4ad5f64))
[<c01435a6>] sys_read [kernel] 0x96 (0xc4ad5f7c))
[<c0142f37>] sys_open [kernel] 0x57 (0xc4ad5fac))
[<c0108ca3>] system_call [kernel] 0x33 (0xc4ad5fc0))

Code: f6 40 7c 01 74 07 3d a0 1d 30 c0 75 08 c7 44 24 08 00 00 00 

Booted into 2.4.20-18.7smp, but wanted to report this in case this code path  is
still a problem in current kernels.
Comment 1 Bugzilla owner 2004-09-30 11:41:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.